> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reeple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay electricity bill

> Buy electricity units for a meter

Buy electricity units through the Reeple API. The amount is disbursed directly from your available balance.

## Endpoint

```
POST https://api-v3.reeple.ai/bill-payment/electricity/pay
```

## Request body

| Field               | Type                         | Description                                                |
| ------------------- | ---------------------------- | ---------------------------------------------------------- |
| `serviceCategoryId` | String                       | **Required.** The ID of the selected electricity provider. |
| `amount`            | String                       | **Required.** Cost of the package.                         |
| `meterNumber`       | String                       | **Required.** Meter number for the electricity account.    |
| `vendType`          | Enum `PREPAID` \| `POSTPAID` | The type of utility service being paid for.                |
| `reference`         | String                       | Optional information you can attach to the transaction.    |

```json theme={null}
{
  "serviceCategoryId": "string",
  "amount": 5000,
  "vendType": "PREPAID",
  "meterNumber": "Unique code associated with your electricity account"
}
```
